Bug 193210 - Review Request: htmldoc - Convert HTML source files into HTML, PostScript, or PDF
Review Request: htmldoc - Convert HTML source files into HTML, PostScript, or...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-25 23:56 EDT by Adam Goode
Modified: 2009-02-13 02:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-04 21:16:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2006-05-25 23:56:45 EDT
Spec URL: http://www.spicenitz.org/fedora/htmldoc.spec
SRPM URL: http://www.spicenitz.org/fedora/htmldoc-1.8.26-1.src.rpm
Description: HTMLDOC converts HTML source files into indexed HTML, PostScript, or Portable Document Format (PDF) files that can be viewed online or printed.
Comment 1 Adam Goode 2006-05-25 23:58:57 EDT
Sorry, forgot to mention that this is my first package, and I am looking for a
sponsor.
Comment 2 Aurelien Bompard 2006-05-27 10:04:37 EDT
* No downloadable source. Please give the full URL in the Source tag, which
should be http://ftp.easysw.com/pub/htmldoc/1.8.26/htmldoc-1.8.26-source.tar.bz2
(ok, that one was kind of hard to find...)
Comment 3 Adam Goode 2006-05-27 11:20:01 EDT
Thank you for your comment.

I have created a new package here:
http://www.spicenitz.org/fedora/htmldoc-1.8.26-2.src.rpm
http://www.spicenitz.org/fedora/htmldoc.spec


I used %{name} and %{version} in the Source tag. Is that ok, or should I have
put the URL in directly?
Comment 4 Aurelien Bompard 2006-05-28 04:01:09 EDT
Using %{name} and %{version} in the Source tag is up to you. Some packagers
prefer using it, to avoid changing it at every new release, and some packagers
prefer the expanded form, to be able to quickly copy'n'paste into wget. Do what
you prefer.

You have a desktop file already available in the desktop subfolder, please use
it. However, you'll have to add --remove-category=X-Red-Hat-Base to
desktop-file-install, since we don't use it anymore.

The menu entry lacks an icon, please copy the png files in desktop to the proper
place in /usr/share/icons/hicolor/*/apps. (don't forget you'll have to add some
bits to the scriptlets, see http://fedoraproject.org/wiki/ScriptletSnippets,
"GTK+ icon cache")
Comment 5 Adam Goode 2006-05-29 00:52:01 EDT
Thanks.

I've put a new version:
http://www.spicenitz.org/fedora/htmldoc-1.8.26-3.src.rpm
http://www.spicenitz.org/fedora/htmldoc.spec

This installs icons, desktop file, and MIME type. (Lots of scriptlets!)
Hope I've got the MIME stuff all right.
Comment 6 Aurelien Bompard 2006-05-29 17:25:03 EDT
Almost there !

* Missing dependancy on update-desktop-database for %post and %postun (package
desktop-file-utils)

* Since you're rebuilding, the last 3 lines in the desktop-file-install call are
not properly lined-up (tabs instead of spaces)
Comment 7 Adam Goode 2006-05-29 22:46:59 EDT
Ok, I've fixed the desktop-file-install line-up problem.

I can add the dependencies for %post and %postun, but is
that still a problem? It looks like desktop-file-utils
fixed bug #180898 in 0.10-5 and 0.10-6.

Do I need to add the dependencies for FC4?
Comment 8 Aurelien Bompard 2006-05-30 03:54:12 EDT
Ah, that's true, I didn't know. In the bug, Ray said the fix will be backported
to FC4, so I think you can leave out the Requires entirely.

I found a small bug: if you start the graphical frontend, and click on the
"help" button, you have an error, it can't find the doc. The path is hardcoded
in the configure script, line 5916.
Since the new path depends on the version number, you have two options:
 - make a patch to change this line, and update it with each new version
 - change the line with a sed call in %prep, where maros such as %{version} are
available

I would choose the 2nd option, because it is less likely to cause errors in the
future (I know *I* would forget to update the patch at least once). But make
sure the regexp is sufficiently specific, this is a large file.
Comment 9 Adam Goode 2006-05-31 23:34:37 EDT
All right, I've added this to %prep:

sed -i 's/\(\$prefix\/share\/doc\/htmldoc\)/\1-%{version}/g' configure



And I also added doc/help.html to %doc.


New SRPM is uploaded, everything seems to work !

http://www.spicenitz.org/fedora/htmldoc-1.8.26-4.src.rpm
http://www.spicenitz.org/fedora/htmldoc.spec
Comment 10 Aurelien Bompard 2006-06-01 07:36:39 EDT
Review for release 4:
* RPM name is OK
* Source htmldoc-1.8.26-source.tar.bz2 is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

APPROVED
Comment 11 Adam Goode 2009-02-11 13:23:22 EST
Package Change Request
======================
Package Name: htmldoc
New Branches: EL-4 EL-5
Owners: agoode pertusus
Comment 12 Kevin Fenzi 2009-02-13 02:04:27 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.